<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net"/>
  </configSections>
  <connectionStrings>
      <add name="InfoS.Properties.Settings.InfoSbazaConnectionStringMSSQL"
          connectionString="Data Source=VEDRAN-HP\SQLEXPRESS_2022;Initial Catalog=InfoSbaza;Persist Security Info=True;User ID=posinfosdb;Encrypt=False;TrustServerCertificate=True"
          providerName="System.Data.SqlClient" />
  </connectionStrings>
  <log4net debug="true">
    <appender name="LogFileAppender" type="log4net.Appender.FileAppender">
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="c:/InfoS/logs/infos_log_%date{yyyyMMdd}_%date{dd.MM.yyyy}.log"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="ddMMyyyy"/>
      <layout type="log4net.Layout.PatternLayout">
        <header type="log4net.Util.PatternString" value="[START LOG] %newline"/>
        <footer type="log4net.Util.PatternString" value="[END LOG] %newline"/>
        <conversionPattern value="%date [%thread] %-5level %logger [%property{NDC}] - %message%newline"/>
      </layout>
      <!--<layout type="log4net.Layout.XMLLayout" />-->
      <param name="AppendToFile" value="true"/>
    </appender>
    <appender name="LogFileAppenderRacuni" type="log4net.Appender.FileAppender">
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="c:/InfoS/logs/racuni/infos_log_racuni_%date{yyyyMMdd}_%date{dd.MM.yyyy}.log"/>
      <appendToFile value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <header type="log4net.Util.PatternString" value=""/>
        <footer type="log4net.Util.PatternString" value=""/>
        <conversionPattern value="%message%newline"/>
      </layout>
      <!--<layout type="log4net.Layout.XMLLayout" />-->
      <param name="AppendToFile" value="true"/>
    </appender>
    <appender name="LogFileAppenderFiskal" type="log4net.Appender.FileAppender">
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
      <file type="log4net.Util.PatternString" value="c:/InfoS/logs/racuni/infos_log_racuni_fiskal_%date{yyyyMMdd}_%date{dd.MM.yyyy}.log"/>
      <appendToFile value="true"/>
      <layout type="log4net.Layout.PatternLayout">
        <header type="log4net.Util.PatternString" value=""/>
        <footer type="log4net.Util.PatternString" value=""/>
        <conversionPattern value="%message%newline"/>
      </layout>
      <!--<layout type="log4net.Layout.XMLLayout" />-->
      <param name="AppendToFile" value="true"/>
    </appender>
    <!-- Setup the root category, add the appenders and set the default level -->
    <!--<root>
      <level value="ALL" />
      <appender-ref ref="LogFileAppender" />
    </root>-->
    <!-- Specify the level for some specific categories -->
    <logger name="InfoS">
      <!-- <appender-ref ref="B" /> -->
      <level value="ALL"/>
      <appender-ref ref="LogFileAppender"/>
    </logger>
    <logger name="InfoS_Racuni">
      <!-- <appender-ref ref="B" /> -->
      <level value="ALL"/>
      <appender-ref ref="LogFileAppenderRacuni"/>
    </logger>
    <logger name="InfoS_Fiskal">
      <!-- <appender-ref ref="B" /> -->
      <level value="ALL"/>
      <appender-ref ref="LogFileAppenderFiskal"/>
    </logger>
  </log4net>
  <appSettings>
    <add key="Baza2" value="Data Source=localhost\SQLEXPRESS;Initial Catalog=InfoSbaza;Persist Security Info=True;User ID=user_id"/>
    <add key="AppFolder" value="c:\Infos"/>
    <add key="ONU" value="1"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
  </appSettings>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="SynchronizationSoap" closeTimeout="00:05:00" openTimeout="00:05:00" sendTimeout="00:05:00">
          <security mode="Transport"/>
        </binding>
        <binding name="SynchronizationSoap1"/>
      </basicHttpBinding>
    </bindings>
    <client>
      <endpoint address="https://www/sync.asmx" binding="basicHttpBinding" bindingConfiguration="SynchronizationSoap" contract="InfoSSyncService.SynchronizationSoap" name="SynchronizationSoap"/>
    </client>
  </system.serviceModel>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5"/>
  </startup>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>	
</configuration>
